@import "mixin";
@import "variable";

html, body, .wrapper {
  height: 100%;
  color: $main-color;
  font-family: 'Roboto', sans-serif;
}

.width-container{
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 25px;
  box-sizing: border-box;
}

.header{
  position: relative;

  &__bar{
    display: flex;
    justify-content: space-between;
    margin: 23px 0;
  }

  &__bar-btn{
    height: 25px;
    width: 25px;
    background: black;
    border: none;
    color: white;
  }
}

.nav {

  &__list {
    position: absolute;
    top: 100%;
    right: 25px;
    background-color: $nav-bkgr;
    width: 182px;
    list-style: none;
    display: flex;
    flex-direction: column;
    padding: 0;
    margin: 0;
  }

  &__item {
    display: inline-block;
    font-size: 11px;
    line-height: 14px;
    padding: 8px;

    &:hover {
      background: $hover-link-color;
    }
  }

  &__link {
    text-decoration: none;
    color: $main-color;
    text-transform: uppercase;

    &:hover{
      text-decoration: none;
    }
  }
}

.active-page{
  color: $active-color;
}

.hide{
  display: none;
}

.content {

  &-heading{
    font-weight: bold;
    font-size: 14px;
    line-height: 32px;
    text-transform: uppercase;
  }
}

.main-img{
  background-image: url("../img/main-logo.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  padding-top: 50%;
  margin: 23px 0 38px 0;
}

.recent-posts{
  display: flex;
  flex-direction: column;

  &__item{
    display: flex;
    flex-direction: column;
    text-decoration: none;
    cursor: pointer;

    &:hover{
      text-decoration: none;
    }
  }

  &__photo{
    margin-top: 27px;
  }

  &__name{
    font-weight: bold;
    font-size: 14px;
    line-height: 30px;
    color: $main-color;
  }

  &__source{
    font-size: 11px;
    line-height: 20px;
    color: #7C7C7C;
  }

  &__description{
    display: none;
    font-size: 14px;
    line-height: 26px;
    color: #5C5C5C;
  }
}

.footer{
  background-color: black;
  color: #FEFEFE;
  text-align: center;
  padding: 38px 35px 43px 35px;
  margin: 42px auto;

  &__width-container{
    max-width: 684px;
    margin: 0 auto;
  }

  &__heading{
    font-weight: bold;
    font-size: 16px;
    line-height: 22px;
    text-transform: uppercase;
    color: #FEFEFE;
  }

  &__description{
    font-size: 16px;
    line-height: 28px;
    color: #B9B9B9;
  }

  &__contacts{
    font-size: 14px;
    line-height: 24px;
    color: #B9B9B9;
  }
}

.social-icons {
  display: flex;
  justify-content: space-between;
  width: 192px;
  margin: 25px auto;

  &__round {
    width: 34px;
    height: 34px;
    border: 1px solid;
    border-radius: 100%;
    padding: 5px 3px;
    box-sizing: border-box;
    transition: all 1s ease;

    &:hover, i{
      font-size: 150%;
      padding-top: 0;
      @include iColor(white);
    }
  }
}

  .icon__rss{
    @include iColor(#F8902E);
  }

  .icon__facebook{
    @include iColor(#39599F);
  }

  .icon__twitter{
    @include iColor(#45B0E3);
  }

  .icon__dribbble{
    @include iColor(#D97AB0);
  }

  .icon__pinterest{
    @include iColor(#CC212C);
  }

@import "media";
